<!doctype html>

<html lang="en">

<head>
    <meta charset="utf-8">

    <title>Enter your data</title>
    <meta name="description" content="Enter your data">
    <meta name="author" content="Said Bacinovic">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>


    <!-- Compiled and minified CSS -->
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"> -->


    <link rel="stylesheet" href="materialize/materialize.css">
    <!-- Material icons -->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">


    <style>
        body {
            margin: 0;
            width: 100%;
            height: 100vh;
            font-family: "Exo", sans-serif;
            color: #fff;
            background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
            background-size: 400% 400%;
            animation: gradientBG 15s ease infinite;
            animation: gradientBG 25s ease infinite;
        }

        @keyframes gradientBG {
            0% {
                background-position: 0% 50%;
            }

            50% {
                background-position: 100% 50%;
            }

            100% {
                background-position: 0% 50%;
            }
        }

        .container-gradient {
            width: 100%;
            position: absolute;
            top: 35%;
            text-align: center;
        }

        h1 {
            font-weight: 300;
        }

        h3 {
            color: #eee;
            font-weight: 100;
        }

        h5 {
            color: #eee;
            font-weight: 300;
        }

        a,
        a:hover {
            text-decoration: none;
            color: #ddd;
        }

        .logo {
            max-width: 350px;
            margin: 30px;
        }


        html,
        body {
            width: 100%;
            height: 100%;
            padding: 0;
            margin: 0;
        }

        .search-box {
            border: solid 5px rgb(255, 255, 255);
            display: inline-block;
            position: relative;
            border-radius: 50px;
            background-color: rgba(0, 0, 0, 0);
        }

        .search-box input[type="text"] {
            font-family: Raleway, sans-serif;
            font-size: 20px;
            font-weight: bold;
            width: 50px;
            height: 50px;
            padding: 5px 40px 5px 10px;
            border: none;
            box-sizing: border-box;
            border-radius: 50px;
            transition: width 800ms cubic-bezier(0.5, -0.5, 0.5, 0.5) 600ms;
            background-color: rgba(0, 0, 0, 0);

        }

        .search-box input[type="text"]:focus {
            outline: none;
        }

        .search-box input[type="text"]:focus,
        .search-box input[type="text"]:not(:placeholder-shown) {
            width: 300px;
            transition: width 800ms cubic-bezier(0.5, -0.5, 0.5, 1.5);
        }

        .search-box input[type="text"]:focus+span,
        .search-box input[type="text"]:not(:placeholder-shown)+span {
            bottom: 13px;
            right: 10px;
            transition: bottom 300ms ease-out 800ms, right 300ms ease-out 800ms;
        }

        .search-box input[type="text"]:focus+span:after,
        .search-box input[type="text"]:not(:placeholder-shown)+span:after {
            top: 0;
            right: 10px;
            opacity: 1;
            transition: top 300ms ease-out 1100ms, right 300ms ease-out 1100ms, opacity 300ms ease 1100ms;
        }

        .search-box span {
            width: 25px;
            height: 25px;
            display: flex;
            justify-content: center;
            align-items: center;
            position: absolute;
            bottom: -13px;
            right: -15px;
            transition: bottom 300ms ease-out 300ms, right 300ms ease-out 300ms;
        }

        .search-box span:before,
        .search-box span:after {
            content: '';
            height: 25px;
            border-left: solid 5px rgb(255, 255, 255);
            position: absolute;
            transform: rotate(-45deg);
        }

        .search-box span:after {
            transform: rotate(45deg);
            opacity: 0;
            top: -20px;
            right: -10px;
            transition: top 300ms ease-out, right 300ms ease-out, opacity 300ms ease-out;
        }

        .info-box1 {
            width: 70%;
            /* height: 100px; */
            line-height: 90px;
            /* border: solid rgb(207, 205, 205) 5px; */
            border: solid rgb(37, 37, 37) 5px;
            /* color: rgb(75, 75, 75); */
            color: rgb(240, 240, 240);
            border-left: 0;
            border-radius: 0 30px 30px 0;
            font-size: 2.5em;
            margin-top: 50px;
            text-align: center;
            /* background: linear-gradient(90deg,rgba(117, 222, 248, 0.247), rgb(79, 210, 250)); */
            background: linear-gradient(90deg, rgba(37, 37, 37, 0.144), rgba(37, 37, 37, 0.877));
        }

        .info-box2 {
            width: 70%;
            margin-left: 30%;
            /* height: 100px; */
            line-height: 90px;
            /* border: solid rgb(207, 205, 205) 5px; */
            border: solid rgb(247, 247, 247) 5px;
            /* color: rgb(207, 205, 205); */
            color: rgb(37, 37, 37);
            border-right: 0;
            border-radius: 30px 0 0 30px;
            font-size: 2.5em;
            margin-top: 50px;
            /* background: linear-gradient(90deg,rgba(252, 124, 184, 0.247), rgb(250, 79, 150)); */
            background: linear-gradient(-90deg, rgba(197, 197, 197, 0.144), rgba(248, 248, 248, 0.877));
            text-align: center;
        }

        html {
            height: 100%;
        }

        body {
            margin: 0;
        }

        .bg {
            animation: slide 3s ease-in-out infinite alternate;
            /* background-image: linear-gradient(-60deg, #6c3 50%, #09f 50%); */
            background-image: linear-gradient(-60deg, rgb(51, 204, 166) 50%, #09f 50%);
            bottom: 0;
            left: -50%;
            opacity: .5;
            position: fixed;
            right: -50%;
            top: 0;
            z-index: -1;
        }

        .bg2 {
            animation-direction: alternate-reverse;
            animation-duration: 4s;
        }

        .bg3 {
            animation-duration: 5s;
        }

        @keyframes slide {
            0% {
                transform: translateX(-25%);
            }

            100% {
                transform: translateX(25%);
            }
        }
    </style>
</head>

<body>


    <a href="/quiz/admin/login" class="btn white black-text btn-flat transparent right" style="margin: 10px;">Log in</a>

    <div class="bg"></div>
    <div class="bg bg2"></div>
    <div class="bg bg3"></div>

    <div class="container" style="display: flex; justify-content: center; align-items: center; ">
        <img src="images/logo13.png" class="logo" style="margin-top: 100px;">
        <div class="search-box" style="margin-top:60px; margin-left: 50px;"><input type="text"
                placeholder="Search quizzes" onkeydown="search()" id="searchBox" /><span></span></div>
    </div>

    <a href="/quiz/two-random-quizzes">
        <span class="info-box1" style="display: block;">
            <span>Play two random quizzes</span>
        </span>
    </a>

    <a href="/quiz/all-quizzes">
        <span class="info-box2" style="display: block;">
            <span>View all quizzes</span>
        </span>
    </a>
    
    <a href="/quiz/random-quiz">
        <span class="info-box1" style="display: block;">
            <span>Play one random quizz</span>
        </span>
    </a>


    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

    <script>


        var searchBox = document.querySelectorAll('.search-box input[type="text"] + span');
        searchBox.forEach(function (elm) {
            elm.addEventListener('click', function () {
                elm.previousElementSibling.value = '';
            });
        });


        function search() {
            if (event.key === 'Enter') {
                window.location.replace("all-quizzes?q=" + $('#searchBox').val());
            }
        }
    </script>
</body>

</html>